%global momorel 3

Summary: Halified CUPS utilities 
Name: hal-cups-utils
Version: 0.5.3
Release: %{momorel}m
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.bz2
Source1: printer_remove.hal
Source2: printer_update.hal
Patch0: hal-cups-utils-0.5.2-sighup.patch
Patch1: hal-cups-utils-0.5.2-daemon.patch
Patch2: hal-cups-utils-0.5.2-removegdk.patch
Patch3: hal-cups-utils-0.5.2-matchdriver.patch
Patch4: hal-cups-utils-0.5.2-use_usb_if_null.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glib
BuildRequires: dbus-devel >= 0.61
BuildRequires: hal-devel
BuildRequires: cups-devel
BuildRequires: system-config-printer
Requires: hal
Requires: cups
Requires: glib
Requires: system-config-printer

%description
Halified utilities for CUPS:
	- hal_lpadmin
	- hal CUPS backend

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
# %patch0 -p1 -b .sighup
# %patch1 -p1 -b .daemon
# %patch2 -p1 -b .removegdk
# %patch3 -p1 -b .matchdriver
# %patch4 -p1 -b .use_usb_if_null
autoreconf -f -i

%build

%configure --enable-printconf 

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

install -p -D %{SOURCE1} %{buildroot}/%{_sysconfdir}/hal/device.d/printer_remove.hal
install -p -D %{SOURCE2} %{buildroot}/%{_sysconfdir}/hal/capability.d/printer_update.hal
# dassa.
mv -f %{buildroot}/etc/rc.d/init.d %{buildroot}%{_initscriptdir}

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add cups-config-daemon 

if [ $1 -eq 1 ]; then
	/sbin/service cups-config-daemon start > /dev/null 2>&1
else 
	/sbin/service cups-config-daemon condrestart > /dev/null 2>&1
fi

%preun
if [ $1 = 0 ]; then
    service cups-config-daemon stop > /dev/null 2>&1
    /sbin/chkconfig --del cups-config-daemon 
fi

%postun
if [ "$1" -ge "1" ]; then
  service cups-config-daemon condrestart > /dev/null 2>&1
fi


%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
%{_bindir}/cups-config-daemon
%{_sbindir}/hal_lpadmin
%{_libdir}/cups/backend/hal
%{_sysconfdir}/hal/device.d/printer_remove.hal
%{_sysconfdir}/hal/capability.d/printer_update.hal
%{_sysconfdir}/dbus-1/system.d/cups-config-daemon-dbus.conf
%{_initscriptdir}/cups-config-daemon

%changelog
* Tue May  2 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.5.3-3m)
- rebuild against dbus-0.61

* Wed Jan  4 2006 Kazuhiko <kazuhiko@fdiary.net>
- (0.5.3-2m)
- rebuild against dbus-0.60

* Wed Nov 2 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.5.3-1m)
- version 0.5.3
- import from FC

* Sun Feb  6 2005 Toru Hoshina <t@momonga-linux.org>
- (0.5.2-1m)
- import from FC3.

* Fri Oct 22 2004 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-8
- use_usb_if_null patch makes sure that the make and model of the 
  printer is never null even if hal does not populate the
  printer.vendor and info.product fields.  (Bug #136666)
- (printer_update.hal, printer_remove.hal): Use $UDI instead of 
  $HAL_PROP_INFO_UDI which in some instances may not be populated

* Tue Oct 12 2004 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-7
- Add MatchDriver DBUS method call patch so we can check if the printer has a driver

* Wed Oct 06 2004 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-6
- Add Colin Walter's daemon patch
- Add BuildRequires for glib
- Add patch to take out gdk from configure.in
- Restart cups-config-daemon in the post

* Tue Oct 04 2004 John (J5) Palmieri <johnp@redhat.com>
- Patch now calls killall -SIGHUP cupsd if pid file is wrong or does not exist.
  This is mainly for older cups versions which do not output a pid file.

* Fri Oct 01 2004 John (J5) Palmieri <johnp@redhat.com>
- Fixed sighup to check for sbin instead of bin for cupsd pid check

* Thu Sep 30 2004 John (J5) Palmieri <johnp@redhat.com>
- Patch to use sighup on cups instead of restarting it

* Tue Sep 01 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to 0.5.2

* Tue Sep 01 2004 John (J5) Palmieri <johnp@redhat.com>
- Chaned the hal callout srcipts to have a .hal extention 

* Tue Aug 31 2004 John (J5) Palmieri <johnp@redhat.com>
- Add build requirement on dbus-devel and system-config-printer 

* Tue Aug 31 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to 0.5.1

* Fri Aug 27 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to 0.5.0

* Wed Aug 18 2004 John (J5) Palmieri <johnp@redhat.com>
- Updated to 0.4.0

* Thu Aug 11 2004 John (J5) Palmieri <johnp@redhat.com>
- Added the --enable-printconf flag to configure so that we autodetect drivers

* Thu Aug 11 2004 John (J5) Palmieri <johnp@redhat.com>
- Upgrade to version 0.3.1
- Add update-printer.sh and remove-printer.sh HAL callouts 

* Wed Jul 28 2004 John (J5) Palmieri <johnp@redhat.com>
- Initial checkin to package repository

